// ignore_for_file: avoid_print
import 'dart:io';

import 'package:path_provider/path_provider.dart';

/// Wrapped printed string into chunks < 800 chars (to avoid being truncated)
void debugPrintWrapped(String text) {
  final pattern = RegExp('.{1,800}'); // 800 is the size of each chunk
  pattern.allMatches(text).forEach((match) => print(match.group(0)));
}

/// Output some text into a file
void debugPrintToFile(String filename, String text) async {
  final directory = await getApplicationDocumentsDirectory();
  final file = File('${directory.path}/$filename');
  await file.writeAsString(text);
}
