import 'package:flutter/widgets.dart';

/// isElementPrivate
///
/// Returns true if this element originates from a private widget class
bool isElementPrivate(Element element) {
  return element.widget.runtimeType.toString().startsWith('_');
}

/// trimGenericParams
///
/// Returns the given class name without generic params
String trimGenericParams(String className) {
  return className.replaceAll(RegExp(r'\<.*\>'), '');
}
